local function AddWarning()
    local lootMethod = UnitLootMethod[GetLootMethod()].text
    if lootMethod ~= nil then
        DBM:AddMsg(RED_FONT_COLOR_CODE .. ">>> " .. FONT_COLOR_CODE_CLOSE .. lootMethod .. RED_FONT_COLOR_CODE .. " <<<" .. FONT_COLOR_CODE_CLOSE)
    end
end

do
    local dbmCmdHandler = SlashCmdList["DEADLYBOSSMODS"]
    if dbmCmdHandler ~= nil then
        SlashCmdList["DEADLYBOSSMODS"] = function(msg, ...)
            local cmd = msg:lower()
            if cmd:sub(1, 4) == "pull" or cmd:sub(1, 5) == "rpull" then
                AddWarning()
            end
            return dbmCmdHandler(msg, ...)
        end
    end

    local dbmPullHandler = SlashCmdList["DEADLYBOSSMODSPULL"]
    if dbmPullHandler ~= nil then
        SlashCmdList["DEADLYBOSSMODSPULL"] = function(msg, ...)
            AddWarning()
            return dbmPullHandler(msg, ...)
        end
    end

    local dbmRpullHandler = SlashCmdList["DEADLYBOSSMODSRPULL"]
    if dbmRpullHandler ~= nil then
        SlashCmdList["DEADLYBOSSMODSRPULL"] = function(msg, ...)
            AddWarning()
            return dbmRpullHandler(msg, ...)
        end
    end
end